Bug 288807 - fill Info context applet with infos about the currently hovered item
Summary: fill Info context applet with infos about the currently hovered item
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Amazon MP3 Store (show other bugs)
Version: 2.5-git
Platform: Unlisted Binaries All
: NOR wishlist (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-12 14:51 UTC by Sven Krohlas
Modified: 2012-09-11 13:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Krohlas 2011-12-12 14:51:02 UTC
Currently the applet is quite useless for the Amazon store.
Comment 1 Sven Krohlas 2012-09-11 13:22:32 UTC
Git commit c0b31f1ef2d2dd8dab2fe8bc60d3088ff193706f by Sven Krohlas.
Committed on 11/09/2012 at 15:05.
Pushed by krohlas into branch 'master'.

Use the context info applet to show further infos about a selected item

An artist might be handy to give it a better look, but the functionality
is there and doesn't look that bad. It shows the contents of an album
including cover, artist search, add to cart and preview links.

BUG:288807
FIXED-IN:2.7

M  +1    -0    ChangeLog
A  +183  -0    src/services/amazon/AmazonInfoParser.cpp     [License: GPL (v2+)]
A  +47   -0    src/services/amazon/AmazonInfoParser.h     [License: GPL (v2+)]
M  +22   -12   src/services/amazon/AmazonStore.cpp
M  +5    -1    src/services/amazon/AmazonStore.h
M  +1    -0    src/services/amazon/CMakeLists.txt

http://commits.kde.org/amarok/c0b31f1ef2d2dd8dab2fe8bc60d3088ff193706f